[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Openshift Origin 3.9 rpms -> ansible playbooks



It seems that a rpm is missing for origin-sdn when we run openshift-ansible 3.7

TASK [openshift_node : Install sdn-ovs package] ****************************************************************************************************************************************************************************************************
FAILED - RETRYING: Install sdn-ovs package (2 retries left).
FAILED - RETRYING: Install sdn-ovs package (1 retries left).
fatal: [192.168.99.50]: FAILED! => {"attempts": 2, "changed": false, "msg": "Error: Package: origin-sdn-ovs-3.7.0-1.0.7ed6862.x86_64 (centos-openshift-origin)\n           Requires: origin-node = 3.7.0-1.0.7ed6862\n           Installed: origin-node-3.9.0-0.alpha.4.el7.git.23454.881f1dd.x86_64 (@centos-openshift-origin-testing)\n               origin-node = 3.9.0-0.alpha.4.el7.git.23454.881f1dd\n           Available: origin-node-v3.7.1-0.3.7.1.el7.git.0.b113c29.x86_64 (centos-openshift-origin37-testing)\n               origin-node = v3.7.1-0.3.7.1.el7.git.0.b113c29\n           Available: origin-node-1.1.5-1.git.9912.4229825.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.1.5-1.git.9912.4229825.el7\n           Available: origin-node-1.1.6-1.git.9999.9c5694f.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.1.6-1.git.9999.9c5694f.el7\n           Available: origin-node-1.2.0-1.git.10183.7386b49.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.2.0-1.git.10183.7386b49.el7\n           Available: origin-node-1.2.0-2.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.2.0-2.el7\n           Available: origin-node-1.2.0-3.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.2.0-3.el7\n           Available: origin-node-1.2.0-4.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.2.0-4.el7\n           Available: origin-node-1.2.1-1.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.2.1-1.el7\n           Available: origin-node-1.3.0-2.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.3.0-2.el7\n           Available: origin-node-1.3.0-3.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.3.0-3.el7\n           Available: origin-node-1.3.0-4.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.3.0-4.el7\n           Available: origin-node-1.3.1-1.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.3.1-1.el7\n           Available: origin-node-1.3.3-1.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.3.3-1.el7\n           Available: origin-node-1.4.0-2.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.4.0-2.el7\n           Available: origin-node-1.4.1-1.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.4.1-1.el7\n           Available: origin-node-1.5.0-0.4.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.5.0-0.4.el7\n           Available: origin-node-1.5.0-0.7.rc1.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.5.0-0.7.rc1\n           Available: origin-node-1.5.0-1.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.5.0-1.el7\n           Available: origin-node-1.5.1-1.el7.x86_64 (centos-openshift-origin-testing)\n               origin-node = 1.5.1-1.el7\n           Available: origin-node-3.6.0-1.0.c4dd4cf.x86_64 (centos-openshift-origin)\n               origin-node = 3.6.0-1.0.c4dd4cf\n           Available: origin-node-3.6.1-1.0.008f2d5.x86_64 (centos-openshift-origin)\n               origin-node = 3.6.1-1.0.008f2d5\n           Available: origin-node-3.7.0-0.alpha.1.859.5d7f1b8.x86_64 (centos-openshift-origin-testing)\n               origin-node = 3.7.0-0.alpha.1.859.5d7f1b8\n           Available: origin-node-3.7.0-0.rc.0.0.e92d5c5.x86_64 (centos-openshift-origin-testing)\n               origin-node = 3.7.0-0.rc.0.0.e92d5c5\n           Available: origin-node-3.7.0-1.0.7ed6862.x86_64 (centos-openshift-origin)\n               origin-node = 3.7.0-1.0.7ed6862\n           Available: origin-node-3.7.1-1.el7.git.0.0a2d6a1.x86_64 (centos-openshift-origin37-testing)\n               origin-node = 3.7.1-1.el7.git.0.0a2d6a1\n", "rc": 1, "results": ["Loaded plugins: fastestmirror\nLoading mirror speeds from cached hostfile\n * base: centos.mirror.fr.planethoster.net\n * extras: centos.mirror.fr.planethoster.net\n * updates: rep-centos-fr.upress.io\nResolving Dependencies\n--> Running transaction check\n---> Package origin-sdn-ovs.x86_64 0:3.7.0-1.0.7ed6862 will be installed\n--> Processing Dependency: origin-node = 3.7.0-1.0.7ed6862 for package: origin-sdn-ovs-3.7.0-1.0.7ed6862.x86_64\n--> Processing Dependency: openvswitch >= 2.6.1 for package: origin-sdn-ovs-3.7.0-1.0.7ed6862.x86_64\n--> Processing Dependency: bridge-utils for package: origin-sdn-ovs-3.7.0-1.0.7ed6862.x86_64\n--> Processing Dependency: bind-utils for package: origin-sdn-ovs-3.7.0-1.0.7ed6862.x86_64\n--> Running transaction check\n---> Package bind-utils.x86_64 32:9.9.4-51.el7_4.2 will be installed\n--> Processing Dependency: bind-libs = 32:9.9.4-51.el7_4.2 for package: 32:bind-utils-9.9.4-51.el7_4.2.x86_64\n--> Processing Dependency: liblwres.so.90()(64bit) for package: 32:bind-utils-9.9.4-51.el7_4.2.x86_64\n--> Processing Dependency: libisccfg.so.90()(64bit) for package: 32:bind-utils-9.9.4-51.el7_4.2.x86_64\n--> Processing Dependency: libisccc.so.90()(64bit) for package: 32:bind-utils-9.9.4-51.el7_4.2.x86_64\n--> Processing Dependency: libisc.so.95()(64bit) for package: 32:bind-utils-9.9.4-51.el7_4.2.x86_64\n--> Processing Dependency: libdns.so.100()(64bit) for package: 32:bind-utils-9.9.4-51.el7_4.2.x86_64\n--> Processing Dependency: libbind9.so.90()(64bit) for package: 32:bind-utils-9.9.4-51.el7_4.2.x86_64\n---> Package bridge-utils.x86_64 0:1.5-9.el7 will be installed\n---> Package openvswitch.x86_64 1:2.6.1-3.git20161206.el7 will be installed\n--> Processing Dependency: libpcap.so.1()(64bit) for package: 1:openvswitch-2.6.1-3.git20161206.el7.x86_64\n---> Package origin-sdn-ovs.x86_64 0:3.7.0-1.0.7ed6862 will be installed\n--> Processing Dependency: origin-node = 3.7.0-1.0.7ed6862 for package: origin-sdn-ovs-3.7.0-1.0.7ed6862.x86_64\n--> Running transaction check\n---> Package bind-libs.x86_64 32:9.9.4-51.el7_4.2 will be installed\n---> Package libpcap.x86_64 14:1.5.3-9.el7 will be installed\n---> Package origin-sdn-ovs.x86_64 0:3.7.0-1.0.7ed6862 will be installed\n--> Processing Dependency: origin-node = 3.7.0-1.0.7ed6862 for package: origin-sdn-ovs-3.7.0-1.0.7ed6862.x86_64\n--> Finished Dependency Resolution\n You could try using --skip-broken to work around the problem\n You could try running: rpm -Va --nofiles --nodigest\n"]}

PLAY RECAP *****************************************************************************************************************************************************************************************************************************************
192.168.99.50              : ok=398  changed=115  unreachable=0    failed=1   
localhost                  : ok=12   changed=0    unreachable=0    failed=0   


INSTALLER STATUS ***********************************************************************************************************************************************************************************************************************************
Initialization             : Complete
Health Check               : Complete
etcd Install               : Complete
Master Install             : Complete
Master Additional Install  : Complete
Node Install               : In Progress
        This phase can be restarted by running: playbooks/byo/openshift-node/config.yml



Failure summary:


  1. Hosts:    192.168.99.50
     Play:     Configure nodes
     Task:     Install sdn-ovs package
     Message:  Error: Package: origin-sdn-ovs-3.7.0-1.0.7ed6862.x86_64 (centos-openshift-origin)
                          Requires: origin-node = 3.7.0-1.0.7ed6862
                          Installed: origin-node-3.9.0-0.alpha.4.el7.git.23454.881f1dd.x86_64 (@centos-openshift-origin-testing)
                              origin-node = 3.9.0-0.alpha.4.el7.git.23454.881f1dd
                          Available: origin-node-v3.7.1-0.3.7.1.el7.git.0.b113c29.x86_64 (centos-openshift-origin37-testing)
                              origin-node = v3.7.1-0.3.7.1.el7.git.0.b113c29
                          Available: origin-node-1.1.5-1.git.9912.4229825.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.1.5-1.git.9912.4229825.el7
                          Available: origin-node-1.1.6-1.git.9999.9c5694f.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.1.6-1.git.9999.9c5694f.el7
                          Available: origin-node-1.2.0-1.git.10183.7386b49.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.2.0-1.git.10183.7386b49.el7
                          Available: origin-node-1.2.0-2.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.2.0-2.el7
                          Available: origin-node-1.2.0-3.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.2.0-3.el7
                          Available: origin-node-1.2.0-4.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.2.0-4.el7
                          Available: origin-node-1.2.1-1.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.2.1-1.el7
                          Available: origin-node-1.3.0-2.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.3.0-2.el7
                          Available: origin-node-1.3.0-3.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.3.0-3.el7
                          Available: origin-node-1.3.0-4.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.3.0-4.el7
                          Available: origin-node-1.3.1-1.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.3.1-1.el7
                          Available: origin-node-1.3.3-1.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.3.3-1.el7
                          Available: origin-node-1.4.0-2.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.4.0-2.el7
                          Available: origin-node-1.4.1-1.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.4.1-1.el7
                          Available: origin-node-1.5.0-0.4.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.5.0-0.4.el7
                          Available: origin-node-1.5.0-0.7.rc1.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.5.0-0.7.rc1
                          Available: origin-node-1.5.0-1.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.5.0-1.el7
                          Available: origin-node-1.5.1-1.el7.x86_64 (centos-openshift-origin-testing)
                              origin-node = 1.5.1-1.el7
                          Available: origin-node-3.6.0-1.0.c4dd4cf.x86_64 (centos-openshift-origin)
                              origin-node = 3.6.0-1.0.c4dd4cf
                          Available: origin-node-3.6.1-1.0.008f2d5.x86_64 (centos-openshift-origin)
                              origin-node = 3.6.1-1.0.008f2d5
                          Available: origin-node-3.7.0-0.alpha.1.859.5d7f1b8.x86_64 (centos-openshift-origin-testing)
                              origin-node = 3.7.0-0.alpha.1.859.5d7f1b8
                          Available: origin-node-3.7.0-0.rc.0.0.e92d5c5.x86_64 (centos-openshift-origin-testing)
                              origin-node = 3.7.0-0.rc.0.0.e92d5c5
                          Available: origin-node-3.7.0-1.0.7ed6862.x86_64 (centos-openshift-origin)
                              origin-node = 3.7.0-1.0.7ed6862
                          Available: origin-node-3.7.1-1.el7.git.0.0a2d6a1.x86_64 (centos-openshift-origin37-testing)
                              origin-node = 3.7.1-1.el7.git.0.0a2d6a1


On Fri, Mar 16, 2018 at 4:56 PM, Charles Moulliard <cmoullia redhat com> wrote:
Many thanks !

On Fri, Mar 16, 2018 at 4:42 PM, Troy Dawson <tdawson redhat com> wrote:
On Fri, Mar 16, 2018 at 8:32 AM, Charles Moulliard <cmoullia redhat com> wrote:
> Hi,
>
> Are the OpenShift Origin v3.9 rpms available from a repo ?
> How can we get them in order to install openshift cluster using ansible
> playbook ?
>
> Regards
>
> Charles
>
> _______________________________________________
> dev mailing list
> dev lists openshift redhat com
> http://lists.openshift.redhat.com/openshiftmm/listinfo/dev
>

https://buildlogs.centos.org/centos/7/paas/x86_64/openshift-origin39/

  I think it's
ansible-playbook -e openshift_repos_enable_testing=true



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]